#!/bin/sh
# the next line restarts using tclsh \
exec tclsh "$0" "$@"

load ../src/gnocl.so

set mainBox [gnocl::box -orientation vertical]

set bb [gnocl::box -orientation horizontal \
      -children [list [gnocl::label -text 1] [gnocl::label -text 2]]]
$bb add [gnocl::label -text 3]
$bb add [list [gnocl::label -text 4] [gnocl::label -text 5]]
$bb addEnd [gnocl::label -text 11]
$bb addEnd [list [gnocl::label -text 10] [gnocl::label -text 9]]
$bb addBegin [gnocl::label -text 6]
$bb addBegin [list [gnocl::label -text 7] [gnocl::label -text 8]]
$mainBox add $bb

set bb [gnocl::box -orientation vertical \
      -children [list [gnocl::label -text 1] [gnocl::label -text 2]]]
$bb add [gnocl::label -text 3]
$bb add [list [gnocl::label -text 4] [gnocl::label -text 5]]
$bb addEnd [gnocl::label -text 11]
$bb addEnd [list [gnocl::label -text 10] [gnocl::label -text 9]]
$bb addBegin [gnocl::label -text 6]
$bb addBegin [list [gnocl::label -text 7] [gnocl::label -text 8]]
$mainBox add $bb

foreach padding {0 10} {
   set bb [gnocl::box -homogeneous 0] 
   foreach expand {1 0} {
      foreach fill {1 0} {
            $bb add [gnocl::box -label \
                  "fill: $fill expand: $expand padding: $padding"] \
                  -fill $fill -expand $expand -padding $padding
      }
   }
   $mainBox add $bb
}

if { $argc == 1 } {
   set win [gnocl::plug [lindex $argv 0] -child $mainBox]
} else {
   set win [gnocl::window -child $mainBox]
}

gnocl::mainLoop

